GET
/v1/actions/{actionId}betaauthenticatedworkspace
When to use
Read the identity and metadata of an existing business action.
For agents
Use client.actions.list to inspect published contracts. Reading client.actions.definition requires View code; saving changes requires Edit draft and source Read, while publication requires Publish and source Admin to delegate capabilities.
Example
import { PermuteClient } from '@permute/sdk';
const orgClient = new PermuteClient({
apiKey: process.env.PERMUTE_API_KEY!,
});
const client = orgClient.withWorkspace(process.env.PERMUTE_WORKSPACE_ID!);
const result = await client.actions.get('actn_abcdefghijklmnopqrstuvwx');Response
{
"data": {
"id": "actn_abcdefghijklmnopqrstuvwx",
"workspaceId": "wksp_finance123",
"name": "Create contact",
"createdAt": "2026-10-02T12:00:00.000Z",
"updatedAt": "2026-10-02T12:00:00.000Z"
}
}